import { color, Color } from "cc";

export const MainColor = [
    Color.clone(Color.CYAN),
    Color.clone(Color.MAGENTA),
    color(255, 46, 46, 255),
    color(255, 255, 46, 255),
    color(46, 255, 46, 255),
    color(46, 255, 255, 255),
    color(46, 46, 255, 255),
];

let mainColor = Color.clone(Color.WHITE);

export function randomManColor() {
    const index = Math.floor(Math.random() * MainColor.length);
    mainColor = MainColor.splice(index, 1, mainColor)[0];
    return mainColor;
}

export enum PROP_TYPE {
    LIGHT,
    RING,
}